org.wildfly.swarm.config.security

## Class ElytronTrustManager<T extends ElytronTrustManager<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.ElytronTrustManager<T>

-     public class ElytronTrustManager<T extends ElytronTrustManager<T>>
      extends Object

  The configuration of an Elytron-compatible trust manager that is exported from a legacy JSSE domain.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElytronTrustManager(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `legacyJsseConfig()` The name of the legacy security domain that contains a JSSE configuration that can be used to export the trust manager.
    `T` | `legacyJsseConfig(String value)` The name of the legacy security domain that contains a JSSE configuration that can be used to export the trust manager.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElytronTrustManager

          public ElytronTrustManager(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### legacyJsseConfig

          public String legacyJsseConfig()

      The name of the legacy security domain that contains a JSSE configuration that can be used to export the trust manager.

    - #### legacyJsseConfig

          public T legacyJsseConfig(String value)

      The name of the legacy security domain that contains a JSSE configuration that can be used to export the trust manager.

Copyright © 2018 JBoss by Red Hat. All rights reserved.